/*  Color pallete: Taupe #DFD6D1 , Coffee Pot #83746E , Red Orange #E55B13 */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
    font-size: 14px;
    font-style: normal;
}
html {
    width: 100vw;
    scroll-behavior: smooth;
    color: #DFD6D1;
}
#projects, #contact, #tools{
    width: 100vw;
    background-color: #464033;
    color: #DFD6D1;
    height: 100vh;
}
/* navbar */
#nav {
    background-color: #464033;
    z-index: 100;
    position: fixed;
    width: 100vw;
    color: #140005;
    opacity: .8;
}
button a, nav a {
     color: #DFD6D1;
}
#nav ul {
    padding: 0 5vw;
}
 /* Profile Section */
 #myBackground {
    background: url(src/68376914_2539943299359251_8695333682149326848_n.jpeg) fixed no-repeat top left; 
    background-size: contain;
    background-position: top;
    height: 100vh;
    background-position-x: -100px;
 }
 #myCTA {
     background-color: #140005;
     color: #DFD6D1;
     width: 50%;
     height: 5vh;
 }
 #myCTA:hover {
    color: #DFD6D1;
 }
 #myCTAbtn:hover {
    color: #DFD6D1;
    text-decoration: none;
 }
 #myDetails {
    margin-top: 5%;
    animation-name: introSlide;
    animation-duration: 3s;  
    animation-fill-mode: forwards;
 }
 #myDetailsmobile {
    font-style: normal;
    margin: 0 0 5vh 0;
    animation-name: introSlidemobile;
    animation-duration: 3s;  
    animation-fill-mode: forwards;
 }
 #myPhoto {
     transition: transform 2s;
 }
 /* Projects Section */
.sectionHeader {
    padding: 4rem 2rem 2rem 2rem;
    color: #DFD6D1;
}
.projectHeader, .projectContent {
    color: #DFD6D1;
}
.carousel-inner, .carousel-item {
    height: 100%;
}
/* Tools Section */
.logoTools  {
    width: 64px;
}
.card:hover {
    border: 2px solid #E55B13;
    opacity: 1;
}
.card {
    background-color: #464033;
    background-blend-mode: normal;
    border: 2px solid #464033;
    opacity: .5;
}
/* button effects */
a:hover, a:active {
    color: #E55B13;
}
input, textarea {
    display: grid;
    width: 100%;
    font-size: 1rem;
    background-color: #DFD6D1;
    border-radius: 10px;
    border: 2px solid #140005;
    margin: .5rem 0;
    padding:.5rem;
}
input:focus, input:active, textarea:focus, textarea:active {
    border: 2px solid #E55B13;
    outline-style: none;
}
input {
    height: 5vh;
}
textarea {
    height: 25vh;
    column-span: 25vh;
}
button {
    background-color: #140005;
    border: none;
}
.contactBtn {
    height: 5vh;
    width: 30%;
    display: relative;
    border-radius: 10px;
    color: white;
    font-size: 1rem;
}
.contactBtn:hover {
    background-color: #E55B13;
    border: 1px solid #140005;
}
::placeholder {
    font-family: 'Poppins', sans-serif;
    color: gray;
    text-transform: lowercase;
}
.socmedLogo {
    height: 30px;
    width: 30px;
    margin: 10px;
}
/* footer */
footer {
    background-color: #464033;
    width: 100vw;
    color: #DFD6D1;
    opacity: .8;
}
@keyframes introSlide {
    from {right: -200px; opacity: 0;}
    to {right: 0px; opacity: 1;}
  }
@keyframes introSlidemobile {
    from {bottom: -200px; opacity: 0;}
    to {bottom: 0px; opacity: 1;}
  }
#myPhoto:active {
    transform: rotate(180deg);
}
.navbar-toggler-icon {
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 32 32' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgba(255,255,255, 1)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 8h24M4 16h24M4 24h24'/%3E%3C/svg%3E");
}
